Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/14427/?format=api
{ "ob_id": 14427, "uuid": "4761751d7c844e228ec2f5fe11b2e3b0", "title": "ESA Land Cover Climate Change Initiative (Land_Cover_cci): Global Land Cover Maps, Version 1.6.1", "abstract": "As part of the ESA Land Cover Climate Change Initiative (CCI) project a set of Global Land Cover Maps have been produced. These are available at 300m spatial resolution for three epochs centred on the year 2010 (2008-2012), 2005 (2003-2007) and 2000 (1998-2002), where each epoch covers a 5-year period.\r\n\r\nEach pixel value corresponds to the label of a land cover class defined using UN-LCCS classifiers. For each epoch, the land cover map is delivered along with 4 quality flags which document the reliability of the classification. These are described further in the Product User Guides.\r\n\r\nFurther Land Cover CCI products, user tools and a product viewer are available at: http://maps.elie.ucl.ac.be/CCI/viewer/index.php", "keywords": "Land Cover, CCI", "publicationState": "published", "dataPublishedTime": "2016-06-15T11:00:45", "doiPublishedTime": null, "updateFrequency": "", "status": "superseded", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/14428/?format=api", "dataPath": "/neodc/esacci/land_cover/data/land_cover_maps/v1.6.1", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 15869436328, "numberOfFiles": 22, "fileFormat": "Data are available in NetCDF and GeoTiff format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3809/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/12066/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50559/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50561/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55846/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55847/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55848/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55849/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88541/?format=api" ], "dataLineage": "Data were processed by the ESA CCI Land Cover project and supplied to CEDA in the context of the ESA CCI Open Data Portal Project", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14431/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/14430/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55986/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55987/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55989/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55988/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55985/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55993/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105139/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105317/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55990/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2601/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_landcover_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }